Migration de PHP pour WordPress

813 x served & 102 x viewed

La galère suite à la migration de PHP 5.2 à PHP 7.0, j’ai le site qui n’était plus accessible. Heureusement j’ai trouvé un plugin Debug (Version 1.7 | Par SoniNow Team ).

J’ai donc du faire le ménage et supprimer des plugins:

  • Polylang (Non compatible ou erreurs)
  • Ultimate TinyMCE (Non compatible ou erreurs)
  • XML Google Maps (Non compatible ou erreurs)
    • Non-static method xmlgooglemaps_dbfunctions::install() should not be called statically
  • MCE Table Buttons (Non compatible ou erreurs)
  • Simple Social Buttons (Non compatible ou erreurs)
    • Trying to get property of non-object in /wp-content/plugins/simple-social-buttons/simple-social-buttons.phpon line 409
    • Undefined variable: post in /wp-content/plugins/simple-social-buttons/simple-social-buttons.phpon line 409
  • TablePress (Non compatible ou erreurs)
  • Transposh Translation Filter  (Non compatible ou erreurs)
    • has_cap est appelé avec un argument qui est déprécié depuis la version 2.0.0 ! L’utilisation des niveaux d’utilisateur par les extensions et thèmes est désormais interdite. Utiliser les rôles et capacités à la place.
  • WordPress Database Backup  (Non compatible ou erreurs) – Heureusement PHPNET.ORG propose des sauvegardes.

Mais la bonne nouvelle c’est que ce plugin fonctionne maintenant :

  • Weather Station en version Version 3.0.5.

Il me reste encore des « Notice » (à cause de WP Super Cache ?):

  • get_currentuserinfo est déprécié depuis la version 4.5.0 ! Utilisez wp_get_current_user() à la place. in /wp-includes/functions.php on line 3783

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Time limit is exhausted. Please reload CAPTCHA.